# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate native-tls

Name:           rust-%{crate}
Version:        0.2.2
Release:        2%{?dist}
Summary:        Wrapper over a platform's native TLS implementation

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/native-tls
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No windows/macos/ios
# * No "vendored" feature
Patch0:         native-tls-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(openssl-probe/default) >= 0.1.0 with crate(openssl-probe/default) < 0.2.0)
BuildRequires:  (crate(openssl-sys/default) >= 0.9.30 with crate(openssl-sys/default) < 0.10.0)
BuildRequires:  (crate(openssl/default) >= 0.10.15 with crate(openssl/default) < 0.11.0)
%if %{with check}
BuildRequires:  (crate(hex/default) >= 0.3.0 with crate(hex/default) < 0.4.0)
%endif

%global _description \
A wrapper over a platform's native TLS implementation.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Nov 12 2018 Josh Stone <jistone@redhat.com> - 0.2.2-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-3
- Rebuild to trigger tests

* Sat Jul 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-2
- Run tests in infrastructure

* Sun Jul 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Initial package
